Subject: bug#78737: sit-for behavior changes when byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Jun 2025 13:23:29 -0400

> BTW: the problem isn't just with transient. It also manifests with
> read-extended-command! It's a nasty race that, AFAICT, has been with us
> since the 90s. I think defining read_char to translate quits to quit_char
> solves the problem.

I like your way of thinking.  I'm not completely sure it will solve
world hunger, and it may come with regressions, but it's worth a try.
Given the pervasive impact, it might be best to have a global config var
to enable/disable it (with some scary internal name) until we're
confident that it's an improvement.

        Stefan